### Enumeration

# GimpUi ColorSelectorChannel

#### Declaration

    enum GimpUi.ColorSelectorChannel

#### Description [src]

An enum to specify the types of color channels edited in `GimpColorSelector` widgets.

#### Members

`GIMP_COLOR_SELECTOR_HUE`

  The hue channel.

  - Value: `0`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_SATURATION`

  The saturation channel.

  - Value: `1`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_VALUE`

  The value channel.

  - Value: `2`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_RED`

  The red channel.

  - Value: `3`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_GREEN`

  The green channel.

  - Value: `4`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_BLUE`

  The blue channel.

  - Value: `5`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_ALPHA`

  The alpha channel.

  - Value: `6`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_LCH_LIGHTNESS`

  The lightness channel.

  - Value: `7`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_LCH_CHROMA`

  The chroma channel.

  - Value: `8`
  - Available since: 3.0
`GIMP_COLOR_SELECTOR_LCH_HUE`

  The hue channel.

  - Value: `9`
  - Available since: 3.0